Subject: [Patch-INN1.5] expireover creates corrupted overview data

From: [email-masked] (Holger Burbach)
Date: 6 Dec 1996 17:27:27 GMT

After rebuilding the overview database from scratch with 'expireover -a',
I encountered many corrupted entries in the overview database which
confused news readers, like knews, a lot.

If expireover finds a folded header line, while processing an article, it
always appends the folded part to the last header line which was accepted
to be stored in the overview database. This creates corrupted entries if
the header contains folded header lines that, according to 'overview.fmt',
should not be stored in the overview database, e.g.

(...)
Message-ID: <[email-masked]>
Organization: Bernd Grunwald, not organised
X-Gateway: ZCONNECT UH link-gl.dinoco.de [UUCPfZ V5.81 U031],
        RFC1036/822 UH link-gl.dinoco.de [UUCPfZ V5.81 U031]
(...)

Since we usually want the message-id being inserted in our overview
database, the folded part of the X-Gateway field ("RFC1036/822...") will
be appended to the message-id instead of being ignored.

The appended small patch fixes the problem. This article has also been
mailed to [email-masked].
Ciao
  Holly

--- expireover.c.old    Sat Nov 30 00:32:18 1996
+++ expireover.c        Fri Dec  6 16:40:30 1996
@@ -449,10 +449,13 @@
        if (*line == '\0')
            break;

        /* See if we want this header. */
        fp = ARTfields;
+
+       lasthp = 0;
+
        for (hp = Headers, i = ARTfieldsize; --i >= 0; hp++, fp++) {
            colon = &line[fp->Length];
            if (*colon != ':')
                continue;
            *colon = '\0';

-- 
  Holger Burbach <[email-masked]>, http://www.cck.uni-kl.de/~burbach
        "Ph'nglui mglw'nafh Cthulhu R'lyeh wgah'nagl fhtagn."
-----> PGP public key available: finger [email-masked]<--------
--> Key fingerprint =  02 4E 2D 4B AF 91 E6 C8  90 2E 8C A9 AA C4 CB 86<---